<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Installationsskript
 */


// includes
require("../settings/admin.php");
require("../settings/php.php");
require("../classes/class.ctlVar.php");
require("../classes/class.db.php");
require("../classes/class.out.php");
require("../classes/class.phpmailer.php");
require("../classes/class.settings.php");
require("../includes/functions.php");
require("../includes/funcOutput.php");

$myDB  = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$out   = new out( "  ", 0 );
$settings = new settings( $myDB, TRUE );
$settings->standardStyle = "../styles/style01.css";
$settings->browserTitel = "Filmverwaltung mit PHP &amp; MySQL";
$myVar = new ctlVar($settings,$myDB,$COOCKIES_ACTIVE,TRUE);


//$myVar->crtlGetPostData( $myDB, $settings );
$out->startBuffer();

if ( isset($_REQUEST['sent']) )
{
        // neue Tabellen erstellen
        if (!isset($_REQUEST['Ton'])) {
        $sql =	"CREATE TABLE IF NOT EXISTS $myDB->TON (TonID int(11) unsigned NOT NULL auto_increment, Name varchar(25) NOT NULL, Beschreibung varchar(100) NOT NULL, BildURL varchar(150) NOT NULL,  PRIMARY KEY  (TonID)) AUTO_INCREMENT=5";
        $rs = $myDB->go($sql);
        $sql2 = "INSERT DELAYED IGNORE INTO $myDB->TON (TonID, Name, Beschreibung, BildURL) VALUES
        (1, 'Dolby Digital', 'Dolby Digital ist mit jedem herk&ouml;mmlichen DVD Player abspielbar', './covers/Dolby Digital.jpg'),
        (2, 'DTS', 'DTS Ton ist nur in DVD Playern mit DTS Dekoder abspielbar', './covers/DTS.gif'),
        (3, 'Mono', 'altert&amp;uuml;mliches Tonformat mit nur einem Kanal', './covers/Mono.gif'),
        (4, 'Stereo', 'Tonformat wird von jedem DVD Player unterst&uuml;zt.', './covers/Stereo.jpg')";
        $rs2 = $myDB->go($sql2);
        }
        if (!isset($_REQUEST['Sprache'])) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->SPRACHE (SprachID int(11) unsigned NOT NULL auto_increment, Bezeichnung varchar(25) NOT NULL, PRIMARY KEY  (SprachID)) AUTO_INCREMENT=3";
        $rs = $myDB->go($sql);
        $sql2 = "INSERT DELAYED IGNORE INTO $myDB->SPRACHE (SprachID, Bezeichnung) VALUES
        (1, 'Deutsch'),
        (2, 'Englisch')";
        $rs2 = $myDB->go($sql2);
        }
        if ($_REQUEST['SpracheTon'] == 2) {
        $sql = "ALTER TABLE {$prefix}FILME_TON ADD SprachID INT( 11 ) UNSIGNED NOT NULL DEFAULT 1, DROP PRIMARY KEY,ADD PRIMARY KEY(FilmID, TonID,SprachID)";
        $rs = $myDB->go($sql);
        $sql2 = "RENAME TABLE {$prefix}FILME_TON TO $myDB->FILME_TON_SPRACHE";
	    $rs2 = $myDB->go($sql2);
        }
        if (!isset($_REQUEST['SpracheTon']) && !isset($noInst)) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->FILME_TON_SPRACHE (FilmID int(11) unsigned NOT NULL, TonID int(11) unsigned NOT NULL default 1, SprachID int(11) unsigned NOT NULL default 1, PRIMARY KEY  (FilmID,TonID,SprachID))";
        $rs = $myDB->go($sql);
        }
        if (!isset($insert)) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES
        ('ModTonText', FALSE)";
        $rs = $myDB->go($sql);
        }
        if (!isset($insert_FSK)) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES
        ('ModFSK', TRUE)";
        $rs = $myDB->go($sql);
        }


    if ( count( $myVar->warnung ) )
        unset($_REQUEST['sent']);
}


// Hier werden Ausgaben fr das Men gemacht
printHeader( $settings );
echo "<div id=\"seite\">";
printTopLogin( $myVar, $settings );


echo "<div id=\"untermenu\">";
echo "<ul>";
echo "<li>";
echo "<a href=\"../\">zum Loginformular</a>";
echo "</li>";
echo "</ul>";
echo "</div>";


if ( count( $myVar->warnung ) )
{
    echo "<ul class=\"message\" style=\"background-color:#f88\">";
    for ( $i=0; $i<count( $myVar->warnung ); ++$i )
        echo "<li>".$myVar->warnung[$i]."</li>";
    echo "</ul>";
}

if ( count( $myVar->hinweis ) )
{
    echo "<ul class=\"message\" style=\"background-color:#ffa\">";
    for ( $i=0; $i<count( $myVar->hinweis ); ++$i )
        echo "<li>".$myVar->hinweis[$i]."</li>";
    echo "</ul>";
}


echo "<div id=\"inhalt\">";
$sql = "SHOW TABLES FROM $dbase";
$rs = $myDB->go($sql);
while ( $row = $myDB->getRow($rs)) {
   if ( $row[Tables_in_.$dbase] == $myDB->FILME_TON_SPRACHE  )
      $noInst="1";
}
$sql = "SELECT Variable FROM $myDB->SETTINGS WHERE Variable = 'ModFSK'";
$rs = $myDB->go($sql);
$row = $myDB->getRow($rs);
if ($row['Variable'] == ModFSK) {
   $insert_FSK="1";
}
if (isset($noInst) || !isset($insert_FSK)) {
    echo "<p></p>";
    echo "<h2>INSTALLATIONSVERZEICHNIS VOM SERVER L&Ouml;SCHEN!</h2>";
    echo "Keine Installation bzw. Update ntig, da bereits die aktuellste Version installiert ist.<br/>";
} else {
if ( !isset($_REQUEST['sent']) && !isset($noInst) || count( $myVar->warnung ) )
{
    echo "<p><h2>Installationsskript des Mods: Tondetails</h2></p>";
    $sql = "SELECT VERSION() AS version";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    echo "<p>MySQL-Version ist: ".$row['version'];
    if ( (float)$row['version'] < 4.1 ) {
        echo "<br />Es scheint so, als ob es eine alte Version ist. Beachte den Eintrag in der Datei 'admin.php'! Sonst kommt es zu Fehlermeldungen.";
    }
    echo "</p>";
    echo "<p><b>VOR DEM AUSFHREN DIESES SKRIPTES EINE SICHERHEITSKOPIE DER DATENBANK MACHEN !</b><br/><br/>Diese Script nimmt automatisch die ntigen nderungen in der Datanbank vor.  Es werden neue Tabellen erstellt, sowie eventuell vorhandene Tabellen abgendert. ";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<p>";
    $sql = "SHOW TABLES FROM $dbase";
    $rs = $myDB->go($sql);
    while ( $row = $myDB->getRow($rs)) {
       if ( $row[Tables_in_.$dbase] == $myDB->TON && !isset($noInst)  ) {
          echo "Der Tonmod ist bereits in einer lteren Version vorhanden, daher wird eine Aktualisierung auf Version 1.2 vorgenommen sobald auf Mod installieren geklickt wird.";
          echo "<input type=\"hidden\" name=\"Ton\" value=\"1\" />";
       }
       if ( $row[Tables_in_.$dbase] == $myDB->SPRACHE  ) {
          echo "<input type=\"hidden\" name=\"Sprache\" value=\"1\" />";
       }
       if ( $row[Tables_in_.$dbase] == $prefix.FILME_TON  ) {
          echo "<input type=\"hidden\" name=\"SpracheTon\" value=\"2\" />";
       }
       if ( $row[Tables_in_.$dbase] == $myDB->FILME_TON_SPRACHE  ) {
          $noInst="1";
       }
    }
    $sql = "SELECT Variable FROM $myDB->SETTINGS WHERE Variable = 'ModTonText'";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ($row['Variable'] == ModTonText) {
       $insert="1";
    }
    $sql = "SELECT Variable FROM $myDB->SETTINGS WHERE Variable = 'ModFSK'";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ($row['Variable'] == ModFSK) {
       $insert_FSK="1";
    }

    echo "</p>";
    echo "<table>";
    echo "<tr>";
    echo "</table>";
    echo "<p><input type=\"hidden\" name=\"sent\" value=\"1\" /></p>";
    echo "<p style=\"margin-top:2em\"><input class=\"buttonSubmit\" type=\"submit\" name=\"sent\" value=\"Mod installieren\" /></p>";
    echo "</form>";
}
else
{
    echo "<p>Falls kein Fehler aufgetreten ist:</p>";
    echo "<h2>INSTALLATIONSVERZEICHNIS VOM SERVER L&Ouml;SCHEN!</h2>";
    $sql = "SHOW TABLES FROM $dbase";
    $rs = $myDB->go($sql);
    echo "<p>";
    while ( $row = $myDB->getRow($rs)) {
       if ( $row[Tables_in_.$dbase] == $myDB->TON ) {
          if (isset($_REQUEST['Ton'])) {
             echo "Die Tabelle Ton war bereits vorhanden !<br/>";
          } elseif (isset($noInstTon)) {
             echo "Die Tabelle Ton war bereits vorhanden !<br/>";
          } else {
             echo "Die Tabelle Ton wurde erfolgreich in die Datenbank eingefgt !<br/>";
          }
       }
       if ( $row[Tables_in_.$dbase] == $myDB->SPRACHE  ) {
          if (isset($_REQUEST['Sprache'])) {
             echo "Die Tabelle Sprache war bereits vorhanden !<br/>";
          } else {
             echo "Die Tabelle Sprache wurde erfolgreich in die Datenbank eingefgt !<br/>";
          }
       }
       if ( $row[Tables_in_.$dbase] == $myDB->FILME_TON_SPRACHE  ) {
          if ($_REQUEST['SpracheTon'] == 2) {
             echo "Die Tabelle FILME_TON wurde erfolgreich in FILME_TON_SPRACHE umbenannt !<br/>";
          } else {
             echo "Die Tabelle FILME_TON_SPRACHE war bereits vorhanden !<br/>";
          }

       }

    }
    $sql = "SELECT Variable FROM $myDB->SETTINGS WHERE Variable = 'ModFSK'";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ($row['Variable'] == ModFSK && !isset($insert_FSK)) {
        echo "Der Admineintrag fr die grafische FSK Anzeige wurde gesetzt !<br/>";
    } else {
        echo "Der Admineintrag fr die grafische FSK Anzeige war bereits vorhanden !<br/>";
    }

}
}
echo "</div>";
/*
 * COPYRIGHT-HINWEISE DRFEN NICHT VERNDERT WERDEN!
 * LINKS AUF WWW.DER-DOMI.DE MSSEN BESTEHEN BLEIBEN!
 */
printFootline($settings);
echo "</div>";
echo "</body></html>";


$out->put( $out->endBuffer() );


?>
